Subject: bug#73768: 'read-passwd-mode' can clobber user defined mode lines

From: martin rudalics <[email-masked]>
Date: Fri, 18 Oct 2024 11:45:37 +0200

>> I tried that now and it seems to work well here.  Have a look.
 >
 > Unfortunately, it doesn't seem to work with your recipe

I tried only a few standard scenarios.

 > I also believe that modifying mode-line-front-space is rather a
 > hack. Nobody seems to do this in Emacs' lisp/ directory. And the
 > documentation of this variable doesn't encourage its random
 > modification.

Agreed.

 > I propose to apply the patch with modifying global-mode-string to
 > emacs-30. A more sophisticated solution could be in the master branch
 > then. Yes, the password icon could be invisible due to short window
 > width, but this might be acceptable.

Users can always compact mode lines if needed.

 > WDYT?

I think you should check it in.

martin